DH_SYSTEMD_START(1)

NAME
dh_systemd_start - Start/Stopp/Neustart von Systemd-Unit-Dateien

ÜBERSICHT
dh_systemd_start [Debhelper-Optionen] [--restart-after-upgrade] [--no-stop-on-upgrade] [Unit-Datei …]

BESCHREIBUNG
dh_systemd_start ist ein Debhelper-Programm, das für das Starten/Stoppen oder den Neustart von Systemd-Unit-Dateien zuständig ist, falls kein passendes SysVinit-Skript verfügbar ist.

Wie bei dh_installinit wird die Unit-Datei vor Upgrades gestoppt und hinterher wieder gestartet (es sei denn, es wurde --restart-after-upgrade angegeben, dann wird es nur nach dem Upgrade gestartet). Diese Logik wird nicht verwendet, wenn es ein passendes SysVinit-Skript gibt, da in diesem Fall invoke-rc.d das Stoppen/Starten/Neustarten übernimmt.

OPTIONEN

--restart-after-upgrade
    stoppt die Unit-Datei nicht, bis das Paket-Upgrade komplett durchgeführt wurde. Dies ist das Standardverhalten in Kompatibilitätsmodus 10.

    In älteren Kompatibilitätsmodi war es Standardverhalten, dass die Unit-Datei in prerm gestoppt und in postinst wieder gestartet wird.

    Dies kann nützlich für Daemons sein, die während des Upgrades nicht allzu lange ausfallen sollen. Sie sollten aber, bevor Sie diese Option verwenden, sicherstellen, dass der Daemon damit zurechtkommt, dass im laufenden Betrieb sein Paket ausgetauscht wird.

--no-restart-after-upgrade
    macht ein vorhergehendes --restart-after-upgrade (oder die Voreinstellung des Kompatibilitätsmodus 10) rückgängig. Falls keine weiteren Optionen angegeben wurden, wird dies dafür sorgen, dass der Dienst im prerm-Skript gestoppt und im postinst-Skript wieder gestartet wird.

-r, --no-stop-on-upgrade, --no-restart-on-upgrade
    stoppt den Dienst nicht beim Upgrade.

--no-start
    die Unit-Datei nach Upgrades oder nach anfänglicher Installation nicht starten (Letzteres ist nur für Dienste ohne zugehöriges Init-Skript relevant).

ANMERKUNGEN
Beachten Sie, dass dieser Befehl nicht idempotent ist. Zwischen mehreren Aufrufen dieses Befehls sollte dh_prep(1) (mit den selben Argumenten) ausgeführt werden. Ansonsten könnte er zur Folge haben, dass den Betreuerskripten mehrere Instanzen des gleichen Textes hinzugefügt werden.

Beachten Sie, dass dh_systemd_start nach dh_installinit ausgeführt werden sollte, sodass es die zugehörigen SysVinit-Skripte aufspüren kann. Die Standardsequenz in dh tut bereits das Richtige, dieser Hinweis ist nur relevant, wenn Sie dh_systemd_start manuell aufrufen.

SIEHE AUCH
debhelper(7)

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <http://po4a.alioth.debian.org/> durch Chris Leick c.leick@vollbio.de und das deutsche Debian-Übersetzer-Team im Dezember 2011 erstellt.

Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket debhelper.

Sie können mit dem folgenden Befehl das englische Original anzeigen man -L en Abschnitt Handbuchseite

AUTOREN
pkg-systemd-maintainers@lists.alioth.debian.org